diff --git a/framework/inc/uielement/langselectionmenucontroller.hxx b/framework/inc/uielement/langselectionmenucontroller.hxx
index 97e86e8..b1aaeb5 100644
--- a/framework/inc/uielement/langselectionmenucontroller.hxx
+++ b/framework/inc/uielement/langselectionmenucontroller.hxx
@@ -75,13 +75,13 @@ namespace framework
             };
 
             bool                                             m_bShowMenu;
-            OUString                                         m_aLangStatusCommandURL;
+            OUString                                         m_aLangStatusActionURL;
             css::uno::Reference< css::frame::XDispatch >     m_xLanguageDispatch;
-            OUString                                         m_aMenuCommandURL_Lang;
+            OUString                                         m_aMenuActionURL_Lang;
             css::uno::Reference< css::frame::XDispatch >     m_xMenuDispatch_Lang;
-            OUString                                         m_aMenuCommandURL_Font;
+            OUString                                         m_aMenuActionURL_Font;
             css::uno::Reference< css::frame::XDispatch >     m_xMenuDispatch_Font;
-            OUString                                         m_aMenuCommandURL_CharDlgForParagraph;
+            OUString                                         m_aMenuActionURL_CharDlgForParagraph;
             css::uno::Reference< css::frame::XDispatch >     m_xMenuDispatch_CharDlgForParagraph;
             OUString                                         m_aCurLang;
             SvtScriptType                                    m_nScriptType;
diff --git a/framework/inc/uielement/menubarmanager.hxx b/framework/inc/uielement/menubarmanager.hxx
index a709f0a..98c60b3 100644
--- a/framework/inc/uielement/menubarmanager.hxx
+++ b/framework/inc/uielement/menubarmanager.hxx
@@ -176,7 +176,7 @@ class MenuBarManager : public css::frame::XStatusListener                ,
                              xMenuItemDispatch( rDispatch ) {}
 
             sal_uInt16                                                        nItemId;
-            OUString                                                          aTargetFrame;
+            OUString                                                          aFrame;
             OUString                                                          aMenuItemURL;
             css::uno::Reference< css::frame::XStatusListener >                xSubMenuManager;
             css::uno::Reference< css::frame::XDispatch >                      xMenuItemDispatch;
diff --git a/framework/inc/uielement/menubarmerger.hxx b/framework/inc/uielement/menubarmerger.hxx
index 1cced99..89cbc94 100644
--- a/framework/inc/uielement/menubarmerger.hxx
+++ b/framework/inc/uielement/menubarmerger.hxx
@@ -35,7 +35,7 @@ struct AddonMenuItem
 {
     OUString    aTitle;
     OUString    aURL;
-    OUString    aTarget;
+    OUString    aRecipient;
     OUString    aImageId;
     OUString    aContext;
     AddonMenuContainer aSubMenu;
diff --git a/framework/inc/uielement/newmenucontroller.hxx b/framework/inc/uielement/newmenucontroller.hxx
index 869650e..70bd33e 100644
--- a/framework/inc/uielement/newmenucontroller.hxx
+++ b/framework/inc/uielement/newmenucontroller.hxx
@@ -48,7 +48,7 @@ namespace framework
 {
     struct NewDocument
     {
-        css::util::URL                                    aTargetURL;
+        css::util::URL                                    aRecipientURL;
         css::uno::Sequence< css::beans::PropertyValue >   aArgSeq;
         css::uno::Reference< css::frame::XDispatch >      xDispatch;
     };
@@ -97,7 +97,7 @@ namespace framework
                                                                       m_bModuleIdentified : 1,
                                                                       m_bAcceleratorCfg : 1;
             OUString                                                  m_aIconTheme;
-            OUString                                                  m_aTargetFrame;
+            OUString                                                  m_aFrame;
             OUString                                                  m_aModuleIdentifier;
             OUString                                                  m_aEmptyDocURL;
             css::uno::Reference< css::uno::XComponentContext >        m_xContext;
diff --git a/framework/inc/uielement/statusbarmerger.hxx b/framework/inc/uielement/statusbarmerger.hxx
index fc296d5..6f4922f 100644
--- a/framework/inc/uielement/statusbarmerger.hxx
+++ b/framework/inc/uielement/statusbarmerger.hxx
@@ -34,7 +34,7 @@ struct AddonStatusbarItemData
 
 struct AddonStatusbarItem
 {
-    rtl::OUString     aCommandURL;
+    rtl::OUString     aActionURL;
     rtl::OUString     aLabel;
     rtl::OUString     aContext;
     StatusBarItemBits nItemBits;
diff --git a/framework/inc/uielement/toolbarmanager.hxx b/framework/inc/uielement/toolbarmanager.hxx
index 4a60aff..aab8f18 100644
--- a/framework/inc/uielement/toolbarmanager.hxx
+++ b/framework/inc/uielement/toolbarmanager.hxx
@@ -105,7 +105,7 @@ class ToolBarManager : public ToolbarManager_Base
             EXEC_CMD_DOCKALLTOOLBARS
         };
 
-        struct ExecuteInfo
+        struct GoInfo
         {
             OUString                                            aToolbarResName;
             ExecuteCommand                                      nCmd;
diff --git a/framework/inc/uielement/toolbarmerger.hxx b/framework/inc/uielement/toolbarmerger.hxx
index 683af86..8a1caba 100644
--- a/framework/inc/uielement/toolbarmerger.hxx
+++ b/framework/inc/uielement/toolbarmerger.hxx
@@ -42,17 +42,17 @@ namespace framework
 struct AddonsParams
 {
     OUString aImageId;
-    OUString aTarget;
+    OUString aRecipient;
     OUString aControlType;
     sal_uInt16 nWidth;
 };
 
 struct AddonToolbarItem
 {
-    OUString aCommandURL;
+    OUString aActionURL;
     OUString aLabel;
     OUString aImageIdentifier;
-    OUString aTarget;
+    OUString aRecipient;
     OUString aContext;
     OUString aControlType;
     sal_uInt16 nWidth;
@@ -76,10 +76,10 @@ class ToolBarMerger
                                                  AddonToolbarItemContainer& rContainer );
 
         static void       ConvertSequenceToValues( const css::uno::Sequence< css::beans::PropertyValue >& rSequence,
-                                                   OUString& rCommandURL,
+                                                   OUString& rActionURL,
                                                    OUString& rLabel,
                                                    OUString& rImageIdentifier,
-                                                   OUString& rTarget,
+                                                   OUString& rRecipient,
                                                    OUString& rContext,
                                                    OUString& rControlType,
                                                    sal_uInt16& rWidth );
@@ -128,7 +128,7 @@ class ToolBarMerger
             const css::uno::Reference< css::uno::XComponentContext > & rxContext,
             const css::uno::Reference< css::frame::XFrame > & xFrame,
             ToolBox*        pToolbar,
-            const OUString& rCommandURL,
+            const OUString& rActionURL,
             sal_uInt16      nId,
             sal_uInt16      nWidth,
             const OUString& rControlType );
diff --git a/framework/inc/uielement/toolbarsmenucontroller.hxx b/framework/inc/uielement/toolbarsmenucontroller.hxx
index 5573303..a097046 100644
--- a/framework/inc/uielement/toolbarsmenucontroller.hxx
+++ b/framework/inc/uielement/toolbarsmenucontroller.hxx
@@ -73,10 +73,10 @@ namespace framework
             // XEventListener
             virtual void SAL_CALL disposing( const css::lang::EventObject& Source ) throw ( css::uno::RuntimeException, std::exception ) override;
 
-            struct ExecuteInfo
+            struct GoInfo
             {
-                css::uno::Reference< css::frame::XDispatch >     xDispatch;
-                css::util::URL                                                aTargetURL;
+                css::uno::Reference< css::frame::XDispatch >  xDispatch;
+                css::util::URL  aURL;
                 css::uno::Sequence< css::beans::PropertyValue >  aArgs;
             };
 
@@ -85,8 +85,8 @@ namespace framework
         private:
             void fillPopupMenu( css::uno::Reference< css::awt::XPopupMenu >& rPopupMenu );
             css::uno::Sequence< css::uno::Sequence< css::beans::PropertyValue > > getLayoutManagerToolbars( const css::uno::Reference< css::frame::XLayoutManager >& rLayoutManager );
-            css::uno::Reference< css::frame::XDispatch > getDispatchFromCommandURL( const OUString& rCommandURL );
-            void addCommand( css::uno::Reference< css::awt::XPopupMenu >& rPopupMenu, const OUString& rCommandURL, const OUString& aLabel );
+            css::uno::Reference< css::frame::XDispatch > getDispatchFromActionURL( const OUString& rActionURL );
+            void addCommand( css::uno::Reference< css::awt::XPopupMenu >& rPopupMenu, const OUString& rActionURL, const OUString& aLabel );
             bool isContextSensitiveToolbarNonVisible() { return m_bResetActive;}
 
             css::uno::Reference< css::uno::XComponentContext >        m_xContext;
diff --git a/framework/inc/uifactory/factoryconfiguration.hxx b/framework/inc/uifactory/factoryconfiguration.hxx
index f0d308d..c7ddd7f 100644
--- a/framework/inc/uifactory/factoryconfiguration.hxx
+++ b/framework/inc/uifactory/factoryconfiguration.hxx
@@ -52,10 +52,10 @@ public:
     void          readConfigurationData();
     void          updateConfigurationData();
 
-    OUString getServiceFromCommandModule( const OUString& rCommandURL, const OUString& rModule ) const;
-    OUString getValueFromCommandModule( const OUString& rCommandURL, const OUString& rModule ) const;
-    void          addServiceToCommandModule( const OUString& rCommandURL, const OUString& rModule, const OUString& rServiceSpecifier );
-    void          removeServiceFromCommandModule( const OUString& rCommandURL, const OUString& rModule );
+    OUString getServiceFromCommandModule( const OUString& rActionURL, const OUString& rModule ) const;
+    OUString getValueFromCommandModule( const OUString& rActionURL, const OUString& rModule ) const;
+    void          addServiceToCommandModule( const OUString& rActionURL, const OUString& rModule, const OUString& rServiceSpecifier );
+    void          removeServiceFromCommandModule( const OUString& rActionURL, const OUString& rModule );
 
     // container.XContainerListener
     virtual void SAL_CALL elementInserted( const css::container::ContainerEvent& Event ) throw (css::uno::RuntimeException, std::exception) override;
diff --git a/framework/inc/xml/acceleratorconfigurationreader.hxx b/framework/inc/xml/acceleratorconfigurationreader.hxx
index cccdb17..7f2ba95 100644
--- a/framework/inc/xml/acceleratorconfigurationreader.hxx
+++ b/framework/inc/xml/acceleratorconfigurationreader.hxx
@@ -126,7 +126,7 @@ class AcceleratorConfigurationReader : public ::cppu::WeakImplHelper< css::xml::
             throw(css::xml::sax::SAXException,
                   css::uno::RuntimeException, std::exception ) override;
 
-        virtual void SAL_CALL processingInstruction(const OUString& sTarget,
+        virtual void SAL_CALL processingInstruction(const OUString& sRecipient,
                                                     const OUString& sData  )
             throw(css::xml::sax::SAXException,
                   css::uno::RuntimeException, std::exception ) override;
diff --git a/framework/inc/xml/imagesconfiguration.hxx b/framework/inc/xml/imagesconfiguration.hxx
index 61778f0..5788e7d 100644
--- a/framework/inc/xml/imagesconfiguration.hxx
+++ b/framework/inc/xml/imagesconfiguration.hxx
@@ -44,13 +44,13 @@ struct ImageItemDescriptor
 {
     ImageItemDescriptor() : nIndex( -1 ) {}
 
-    OUString  aCommandURL;                // URL command to dispatch
+    OUString  aActionURL;
     long      nIndex;                     // index of the bitmap inside the bitmaplist
 };
 
 struct ExternalImageItemDescriptor
 {
-    OUString  aCommandURL;                // URL command to dispatch
+    OUString  aActionURL;
     OUString  aURL;                       // a URL to an external bitmap
 };
 
diff --git a/framework/inc/xml/imagesdocumenthandler.hxx b/framework/inc/xml/imagesdocumenthandler.hxx
index 8527642..2d62a78 100644
--- a/framework/inc/xml/imagesdocumenthandler.hxx
+++ b/framework/inc/xml/imagesdocumenthandler.hxx
@@ -96,7 +96,7 @@ class OReadImagesDocumentHandler : public ::cppu::WeakImplHelper< css::xml::sax:
         throw(  css::xml::sax::SAXException,
                 css::uno::RuntimeException, std::exception ) override;
 
-        virtual void SAL_CALL processingInstruction(const OUString& aTarget,
+        virtual void SAL_CALL processingInstruction( const OUString& aRecipient,
                                                     const OUString& aData)
         throw(  css::xml::sax::SAXException,
                 css::uno::RuntimeException, std::exception ) override;
diff --git a/framework/inc/xml/menudocumenthandler.hxx b/framework/inc/xml/menudocumenthandler.hxx
index 6a1d99a..3ca344b 100644
--- a/framework/inc/xml/menudocumenthandler.hxx
+++ b/framework/inc/xml/menudocumenthandler.hxx
@@ -68,7 +68,7 @@ class FWE_DLLPUBLIC ReadMenuDocumentHandlerBase :
         throw(  css::xml::sax::SAXException,
                 css::uno::RuntimeException, std::exception ) override;
 
-        virtual void SAL_CALL processingInstruction(const OUString& aTarget,
+        virtual void SAL_CALL processingInstruction( const OUString& aRecipient,
                                                     const OUString& aData)
         throw(  css::xml::sax::SAXException,
                 css::uno::RuntimeException, std::exception ) override;
@@ -84,14 +84,14 @@ class FWE_DLLPUBLIC ReadMenuDocumentHandlerBase :
         css::uno::Reference< css::xml::sax::XLocator > m_xLocator;
         css::uno::Reference< css::xml::sax::XDocumentHandler> m_xReader;
         void initPropertyCommon( css::uno::Sequence< css::beans::PropertyValue > &rProps,
-                                 const OUString &rCommandURL, const OUString &rHelpId,
+                                 const OUString &rActionURL, const OUString &rHelpId,
                                  const OUString &rLabel, sal_Int16 nItemStyleBits );
     private:
         OUString m_aType;
         OUString m_aLabel;
         OUString m_aContainer;
         OUString m_aHelpURL;
-        OUString m_aCommandURL;
+        OUString m_aActionURL;
         OUString m_aStyle;
 };
 
@@ -265,7 +265,7 @@ class FWE_DLLPUBLIC OWriteMenuDocumentHandler
         void WriteMenu( const css::uno::Reference< css::container::XIndexAccess >& rSubMenuContainer ) throw
             ( css::xml::sax::SAXException, css::uno::RuntimeException );
 
-        void WriteMenuItem( const OUString& aCommandURL, const OUString& aLabel, const OUString& aHelpURL, sal_Int16 nStyle );
+        void WriteMenuItem( const OUString& aActionURL, const OUString& aLabel, const OUString& aHelpURL, sal_Int16 nStyle );
         void WriteMenuSeparator();
 
         css::uno::Reference< css::container::XIndexAccess > m_xMenuBarContainer;
diff --git a/framework/inc/xml/saxnamespacefilter.hxx b/framework/inc/xml/saxnamespacefilter.hxx
index d137cf0..f6f70ac 100644
--- a/framework/inc/xml/saxnamespacefilter.hxx
+++ b/framework/inc/xml/saxnamespacefilter.hxx
@@ -66,7 +66,7 @@ class FWE_DLLPUBLIC SaxNamespaceFilter :
         throw(  css::xml::sax::SAXException,
                 css::uno::RuntimeException, std::exception ) override;
 
-        virtual void SAL_CALL processingInstruction(const OUString& aTarget,
+        virtual void SAL_CALL processingInstruction( const OUString& aRecipient,
                                                     const OUString& aData)
         throw(  css::xml::sax::SAXException,
                 css::uno::RuntimeException, std::exception ) override;
diff --git a/framework/inc/xml/statusbardocumenthandler.hxx b/framework/inc/xml/statusbardocumenthandler.hxx
index 0c1c3aa..c5cb8dc 100644
--- a/framework/inc/xml/statusbardocumenthandler.hxx
+++ b/framework/inc/xml/statusbardocumenthandler.hxx
@@ -91,7 +91,7 @@ class FWE_DLLPUBLIC OReadStatusBarDocumentHandler :
         throw(  css::xml::sax::SAXException,
                 css::uno::RuntimeException, std::exception ) override;
 
-        virtual void SAL_CALL processingInstruction(const OUString& aTarget,
+        virtual void SAL_CALL processingInstruction( const OUString& aRecipient,
                                                     const OUString& aData)
         throw(  css::xml::sax::SAXException,
                 css::uno::RuntimeException, std::exception ) override;
@@ -131,7 +131,7 @@ class FWE_DLLPUBLIC OWriteStatusBarDocumentHandler
 
     protected:
         void WriteStatusBarItem(
-            const OUString& rCommandURL,
+            const OUString& rActionURL,
             const OUString& rHelpURL,
             sal_Int16            nOffset,
             sal_Int16            nStyle,
diff --git a/framework/inc/xml/toolboxdocumenthandler.hxx b/framework/inc/xml/toolboxdocumenthandler.hxx
index 16d3986..7eed860 100644
--- a/framework/inc/xml/toolboxdocumenthandler.hxx
+++ b/framework/inc/xml/toolboxdocumenthandler.hxx
@@ -91,7 +91,7 @@ class FWE_DLLPUBLIC OReadToolBoxDocumentHandler :
         throw(  css::xml::sax::SAXException,
                 css::uno::RuntimeException, std::exception ) override;
 
-        virtual void SAL_CALL processingInstruction(const OUString& aTarget,
+        virtual void SAL_CALL processingInstruction( const OUString& aRecipient,
                                                     const OUString& aData)
         throw(  css::xml::sax::SAXException,
                 css::uno::RuntimeException, std::exception ) override;
@@ -133,7 +133,7 @@ class FWE_DLLPUBLIC OReadToolBoxDocumentHandler :
         OUString                                                  m_aStyle;
         OUString                                                  m_aHelpURL;
         OUString                                                  m_aIsVisible;
-        OUString                                                  m_aCommandURL;
+        OUString                                                  m_aActionURL;
 };
 
 class FWE_DLLPUBLIC OWriteToolBoxDocumentHandler
@@ -149,7 +149,7 @@ class FWE_DLLPUBLIC OWriteToolBoxDocumentHandler
               css::uno::RuntimeException );
 
     protected:
-        void WriteToolBoxItem( const OUString& aCommandURL, const OUString& aLabel, const OUString& aHelpURL,
+        void WriteToolBoxItem( const OUString& aActionURL, const OUString& aLabel, const OUString& aHelpURL,
                                sal_Int16 nStyle, bool bVisible ) throw
             ( css::xml::sax::SAXException,
               css::uno::RuntimeException );
diff --git a/framework/qa/complex/accelerators/AcceleratorsConfigurationTest.java b/framework/qa/complex/accelerators/AcceleratorsConfigurationTest.java
index d8d1c06..0c3192a 100644
--- a/framework/qa/complex/accelerators/AcceleratorsConfigurationTest.java
+++ b/framework/qa/complex/accelerators/AcceleratorsConfigurationTest.java
@@ -615,9 +615,9 @@ public class AcceleratorsConfigurationTest
 
         if (xCfgMgr != null)
         {
-            XAcceleratorConfiguration xTargetAccMgr = UnoRuntime.queryInterface(XAcceleratorConfiguration.class, xCfgMgr.getShortCutManager());
-            XUIConfigurationPersistence xCommit1 = UnoRuntime.queryInterface(XUIConfigurationPersistence.class, xTargetAccMgr);
-            XUIConfigurationPersistence xCommit2 = UnoRuntime.queryInterface(XUIConfigurationPersistence.class, xCfgMgr);
+            XAcceleratorConfiguration xRecipientAccMgr = UnoRuntime.queryInterface( XAcceleratorConfiguration.class, xCfgMgr.getShortCutManager() );
+            XUIConfigurationPersistence xCommit1 = UnoRuntime.queryInterface( XUIConfigurationPersistence.class, xRecipientAccMgr );
+            XUIConfigurationPersistence xCommit2 = UnoRuntime.queryInterface( XUIConfigurationPersistence.class, xCfgMgr );
             xCommit1.store();
             xCommit2.store();
 
diff --git a/framework/qa/complex/contextMenuInterceptor/ContextMenuInterceptor.java b/framework/qa/complex/contextMenuInterceptor/ContextMenuInterceptor.java
index eb0060d..37f36da 100644
--- a/framework/qa/complex/contextMenuInterceptor/ContextMenuInterceptor.java
+++ b/framework/qa/complex/contextMenuInterceptor/ContextMenuInterceptor.java
@@ -58,41 +58,44 @@ public class ContextMenuInterceptor implements XContextMenuInterceptor
 
                 // query sub menu for index container to get access
                 com.sun.star.container.XIndexContainer xSubMenuContainer =
-                        UnoRuntime.queryInterface(com.sun.star.container.XIndexContainer.class, xMenuElementFactory.createInstance("com.sun.star.ui.ActionTriggerContainer"));
+                        UnoRuntime.queryInterface( com.sun.star.container.XIndexContainer.class,
+                                                   xMenuElementFactory.createInstance( "com.sun.star.ui.ActionTriggerContainer" ) );
 
                 // intialize root menu entry "Help"
-                xRootMenuEntry.setPropertyValue("Text", "Help");
-                xRootMenuEntry.setPropertyValue("CommandURL", "slot:5410");
-                xRootMenuEntry.setPropertyValue("HelpURL", "5410");
-                xRootMenuEntry.setPropertyValue("SubContainer", xSubMenuContainer);
-                xRootMenuEntry.setPropertyValue("Image", myBitmap);
+                xRootMenuEntry.setPropertyValue( "Text", "Help" ) ;
+                xRootMenuEntry.setPropertyValue( "ActionURL", "slot:5410" ) ;
+                xRootMenuEntry.setPropertyValue( "HelpURL", "5410" ) ;
+                xRootMenuEntry.setPropertyValue( "SubContainer", xSubMenuContainer ) ;
+                xRootMenuEntry.setPropertyValue( "Image", myBitmap ) ;
 
                 // create menu entries for the new sub menu
                 // intialize help/content menu entry
                 // entry "Content"
-                XPropertySet xMenuEntry = UnoRuntime.queryInterface(XPropertySet.class, xMenuElementFactory.createInstance("com.sun.star.ui.ActionTrigger"));
-                xMenuEntry.setPropertyValue("Text", "Content");
-                xMenuEntry.setPropertyValue("CommandURL", "slot:5401");
-                xMenuEntry.setPropertyValue("HelpURL", "5401");
+                XPropertySet xMenuEntry = UnoRuntime.queryInterface( XPropertySet.class,
+                                                                     xMenuElementFactory.createInstance( "com.sun.star.ui.ActionTrigger" ) );
+                xMenuEntry.setPropertyValue( "Text", "Content" ) ;
+                xMenuEntry.setPropertyValue( "ActionURL", "slot:5401" ) ;
+                xMenuEntry.setPropertyValue( "HelpURL", "5401" ) ;
 
                 // insert menu entry to sub menu
                 xSubMenuContainer.insertByIndex(0, xMenuEntry);
 
-                // intialize help/help on help
+                // intialize help / help on help
                 // entry "Help on Help"
-                xMenuEntry = UnoRuntime.queryInterface(com.sun.star.beans.XPropertySet.class, xMenuElementFactory.createInstance("com.sun.star.ui.ActionTrigger"));
-                xMenuEntry.setPropertyValue("Text", "Help on Help");
-                xMenuEntry.setPropertyValue("CommandURL", "slot:5400");
-                xMenuEntry.setPropertyValue("HelpURL", "5400");
+                xMenuEntry = UnoRuntime.queryInterface( com.sun.star.beans.XPropertySet.class, xMenuElementFactory.createInstance( "com.sun.star.ui.ActionTrigger" ) );
+                xMenuEntry.setPropertyValue( "Text", "Help on Help" );
+                xMenuEntry.setPropertyValue( "ActionURL", "slot:5400" );
+                xMenuEntry.setPropertyValue( "HelpURL", "5400" );
 
                 // insert menu entry to sub menu
                 xSubMenuContainer.insertByIndex(1, xMenuEntry);
                 // intialize help/tips
                 // entry "Tips"
-                xMenuEntry = UnoRuntime.queryInterface(com.sun.star.beans.XPropertySet.class, xMenuElementFactory.createInstance("com.sun.star.ui.ActionTrigger"));
-                xMenuEntry.setPropertyValue("Text", "Tips");
-                xMenuEntry.setPropertyValue("CommandURL", "slot:5404");
-                xMenuEntry.setPropertyValue("HelpURL", "5404");
+                xMenuEntry = UnoRuntime.queryInterface( com.sun.star.beans.XPropertySet.class,
+                                                        xMenuElementFactory.createInstance( "com.sun.star.ui.ActionTrigger" ) );
+                xMenuEntry.setPropertyValue( "Text", "Tips" );
+                xMenuEntry.setPropertyValue( "ActionURL", "slot:5404" );
+                xMenuEntry.setPropertyValue( "HelpURL", "5404" );
 
                 // insert menu entry to sub menu
                 xSubMenuContainer.insertByIndex(2, xMenuEntry);
diff --git a/framework/qa/complex/dispatches/Interceptor.java b/framework/qa/complex/dispatches/Interceptor.java
index ecbac44..76b886b 100644
--- a/framework/qa/complex/dispatches/Interceptor.java
+++ b/framework/qa/complex/dispatches/Interceptor.java
@@ -179,10 +179,10 @@ public class Interceptor implements XDispatch,
     /** XDispatchProvider
      */
     public synchronized XDispatch queryDispatch(URL    aURL,
-                                                String sTargetFrameName,
-                                                int    nSearchFlags)
+                                                String sRecipientFrameName,
+                                                int    nSearchOptions)
     {
-        System.out.println("Interceptor.queryDispatch('"+aURL.Complete+"', '"+sTargetFrameName+"', "+nSearchFlags+") called");
+        System.out.println("Interceptor.queryDispatch('"+aURL.Complete+"', '"+sRecipientFrameName+"', "+nSearchOptions+") called");
 
         checkNoSolarMutexHeld();
 
@@ -195,7 +195,7 @@ public class Interceptor implements XDispatch,
         if (m_xSlave != null)
         {
             System.out.println("Interceptor.queryDispatch(): ask slave ...");
-            return m_xSlave.queryDispatch(aURL, sTargetFrameName, nSearchFlags);
+            return m_xSlave.queryDispatch(aURL, sRecipientFrameName, nSearchOptions);
         }
 
         System.out.println("Interceptor.queryDispatch(): no idea => returns this");
@@ -216,7 +216,7 @@ public class Interceptor implements XDispatch,
         {
             lResults[i] = queryDispatch(lRequests[i].FeatureURL ,
                                         lRequests[i].FrameName  ,
-                                        lRequests[i].SearchFlags);
+                                        lRequests[i].SearchOptions);
         }
 
         return lResults;
diff --git a/framework/qa/complex/framework/autosave/Protocol.java b/framework/qa/complex/framework/autosave/Protocol.java
index 82f3eb3..dd01c17 100644
--- a/framework/qa/complex/framework/autosave/Protocol.java
+++ b/framework/qa/complex/framework/autosave/Protocol.java
@@ -663,7 +663,7 @@ public class Protocol extends JComponent
      * returns a generic html header for generating html log files
      *
      * It's used from the method finish() to generate a valid html formatted file.
-     * For that its necessary to open some special html targets like e.g. <html>.
+     * For that its necessary to open some special html receivers like e.g. <html>.
      *
      * @return  A string, which includes the whole header.
      *
diff --git a/framework/qa/complex/framework/recovery/RecoveryTest.java b/framework/qa/complex/framework/recovery/RecoveryTest.java
index 4605820..ac7c309 100644
--- a/framework/qa/complex/framework/recovery/RecoveryTest.java
+++ b/framework/qa/complex/framework/recovery/RecoveryTest.java
@@ -115,7 +115,7 @@ public class RecoveryTest extends ComplexTestCase {
 
     public void before() throws Exception {
 
-        String msg ="\n\n\tPATH TO OFFICE BINARY MISSING!\n";
+        String msg ="\n\n\tPATH TO OFFICE BINARY IS ABSENT\n";
         msg +="\tPlease run your command with the following parameter:\n\n";
         msg +="\t-AppExecutionCommand=OFFICEBINARY CONNECTIONSTRING\n\n";
         msg +="Example Windows:\n";
@@ -126,7 +126,7 @@ public class RecoveryTest extends ComplexTestCase {
 
         assure(msg, param.get("AppExecutionCommand") != null && ! param.get("AppExecutionCommand").equals(""));
         System.out.println("HALLO" + param.get("AppExecutionCommand"));
-        msg = "\n\nONE PARAMETER IS MISSING!\n";
+        msg = "\n\nONE PARAMETER IS ABSENT\n";
         msg += "Please append to your command the following parameter:\n\n";
         msg += "\t-NoOffice=true";
         assure(msg, param.getBool("NoOffice"));
@@ -447,16 +447,16 @@ public class RecoveryTest extends ComplexTestCase {
                 }
                 String tempURL = utils.getOfficeTempDir(xMSF);
 
-                log.println("the destination for saving is: " + tempURL);
+                log.println("the recipient for saving is: " + tempURL);
                 try{
                     oUITools.setTextEditFiledText("Save to", tempURL);
                 } catch (java.lang.Exception e){
-                    failed("could not set target directory for saving documents at 'Save Documents' dialog", ContinueWithTest.YES);
+                    failed( "could not set recipient directory for saving documents at Save Documents dialog", ContinueWithTest.YES );
                 }
                 try{
                     oUITools.clickButton("OK");
                 } catch (java.lang.Exception e){
-                    failed("could not click 'OK' at 'Save Documents' dialog", ContinueWithTest.YES);
+                    failed("could not click OK at Save Documents dialog", ContinueWithTest.YES);
                 }
             }
         } catch (com.sun.star.accessibility.IllegalAccessibleComponentStateException e){
